#!/usr/bin/env node

import { discoverTestFiles } from "./src/discover.js"
import { runTests } from "./src/suites.js"

async function main() {
    const testFilePaths = await discoverTestFiles()

    for (const filePath of testFilePaths) {
        const filePathParts = filePath.split("/")
        const fileName = filePathParts[filePathParts.length - 1]
        const suite = await import(`./${filePath}`)

        console.log(`Running suite ${fileName}`)
        console.log("-------------------------")
        runTests(suite)
        console.log("-------------------------")
    }
}

main()
